<?php

namespace App\Filament\Resources\Monitoring\ContentRecaps\Pages;

use App\Filament\Resources\Monitoring\ContentRecaps\ContentRecapResource;
use App\Filament\Resources\Monitoring\MediaMonitorings\Pages\ListMediaMonitorings;
use Filament\Actions\Action;
use Filament\Resources\Pages\EditRecord;

class EditContentRecap extends EditRecord
{
    protected static string $resource = ContentRecapResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Action::make('back')
                ->label('Kembali')
                ->url(ListMediaMonitorings::getUrl())
                ->outlined()
                ->color('secondary'),
        ];
    }

    protected function getRedirectUrl(): string
    {
        return $this->getResource()::getUrl('index');
    }
}
